---
- name: Squirro cluster node on multi instance installation
  become: true
  hosts: all
  roles:
    - role: common
  vars:
    squirro_clusternode: true
  vars_files:
    - ../vars/common.yml
    - ../vars/common-ocbc.yml
    - ../vars/sit.yml
  tasks:
    - name: Pre-insallation tasks
      ansible.builtin.include_role:
        name: pre_installation
    - name: Install Squirro
      ansible.builtin.include_role:
        name: squirro-ansible/squirro-ansible # noqa: role-name[path]
    - name: Post-insallation tasks
      ansible.builtin.include_role:
        name: post_installation
    - name: Upgrade Nginx
      ansible.builtin.include_role:
        name: upgrade_nginx
    - name: Enhance Nginx security
      ansible.builtin.include_role:
        name: enhance_nginx_security
